---
title: llarp::service::PendingBuffer

---

# llarp::service::PendingBuffer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| [llarp_buffer_t](Classes/structllarp__buffer__t.md) | **[Buffer](Classes/structllarp_1_1service_1_1PendingBuffer.md#function-buffer)**() |
| | **[PendingBuffer](Classes/structllarp_1_1service_1_1PendingBuffer.md#function-pendingbuffer)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & buf, ProtocolType t) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< byte_t > | **[payload](Classes/structllarp_1_1service_1_1PendingBuffer.md#variable-payload)**  |
| ProtocolType | **[protocol](Classes/structllarp_1_1service_1_1PendingBuffer.md#variable-protocol)**  |

## Public Functions Documentation

### function Buffer

```cpp
inline llarp_buffer_t Buffer()
```


### function PendingBuffer

```cpp
inline PendingBuffer(
    const llarp_buffer_t & buf,
    ProtocolType t
)
```


## Public Attributes Documentation

### variable payload

```cpp
std::vector< byte_t > payload;
```


### variable protocol

```cpp
ProtocolType protocol;
```


-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000